package CruiserHard.Complication;
import java.awt.*;
public class DrawBlock implements IDrawBlock{
    private Block blockCount;
    @Override
    public void SetBlockCount(int num) {
        switch (num){
            case 1:
                blockCount = Block.One;
                break;
            case 2:
                blockCount = Block.Two;
                break;
            default:
                blockCount = Block.Three;
        }
    }
    @Override
    public Block GetBlockCount() {
        return blockCount;
    }
    public void DrawBlocks(int _startPosX, int _startPosY,Graphics g2d){
        switch (blockCount)
        {
            case One:
                break;

            case Two:
                DrawFirstDop(_startPosX,_startPosY,g2d);
                break;

            case Three:
                DrawSecondDop(_startPosX,_startPosY,g2d);
                break;
        }
    }
    public void DrawFirstDop(int _startPosX, int _startPosY, Graphics g2d) {
        Polygon elementsSec = new Polygon();
        elementsSec.addPoint(_startPosX + 55,_startPosY + 25);
        elementsSec.addPoint(_startPosX + 65,_startPosY + 25);
        elementsSec.addPoint(_startPosX + 65,_startPosY + 35);
        elementsSec.addPoint(_startPosX + 55,_startPosY + 35);
        g2d.setColor(Color.WHITE);
        g2d.fillPolygon(elementsSec);
    }
    public void DrawSecondDop(int _startPosX, int _startPosY, Graphics g2d) {
        DrawFirstDop(_startPosX,_startPosY,g2d);
        Polygon elementsThree = new Polygon();
        elementsThree.addPoint(_startPosX + 75,_startPosY + 15);
        elementsThree.addPoint(_startPosX + 85,_startPosY + 15);
        elementsThree.addPoint(_startPosX + 85,_startPosY + 45);
        elementsThree.addPoint(_startPosX + 75,_startPosY + 45);
        g2d.setColor(Color.WHITE);
        g2d.fillPolygon(elementsThree);
    }

}