package CruiserHard.Complication;
import java.awt.*;

public class DrawBlockOval implements IDrawBlock{
    private Block blockCount;
    @Override
    public void SetBlockCount(int num) {
        switch (num){
            case 1:
                blockCount = Block.One;
                break;
            case 2:
                blockCount = Block.Two;
                break;
            default:
                blockCount = Block.Three;
        }
    }

    @Override
    public Block GetBlockCount() {
        return blockCount;
    }

    @Override
    public void DrawBlocks(int _startPosX, int _startPosY,Graphics g2d) {
        switch (blockCount)
        {
            case One:
                break;

            case Two:
                DrawFirstDopOval(_startPosX,_startPosY,g2d);
                break;

            case Three:
                DrawSecondDopOval(_startPosX,_startPosY,g2d);
                break;
        }
    }
    public void DrawFirstDopOval(int _startPosX, int _startPosY, Graphics g2d) {
        g2d.setColor(Color.WHITE);
        g2d.fillOval(_startPosX + 55,_startPosY + 25,10,10);
    }
    public void DrawSecondDopOval(int _startPosX, int _startPosY, Graphics g2d) {
        DrawFirstDopOval(_startPosX,_startPosY,g2d);
        g2d.setColor(Color.WHITE);
        g2d.fillOval(_startPosX + 75,_startPosY + 15, 10, 30);
    }
}